Index: code/branches/Presentation_FS17/data/levels/SOB.oxw
===================================================================
--- code/branches/Presentation_FS17/data/levels/SOB.oxw	(revision 11438)
+++ code/branches/Presentation_FS17/data/levels/SOB.oxw	(revision 11438)
@@ -0,0 +1,788 @@
+<LevelInfo
+	name = "Super Orxo Bros."
+	description = "The retro-game Super Mario Bros. in Orxonox."
+	tags = "minigame"
+	screenshot = "SOB.png"
+	/>
+
+	<?lua
+	include("HUDTemplates3.oxo")  
+	include("jumpHUD.oxo")
+	include("stats.oxo")
+	include("templates/lodInformation.oxt")
+	include("overlays/SOBHUD.oxo")
+	?>
+
+
+	<Template name=mushroom defaults=0>
+		<SOBMushroom collisionType="dynamic" speed=30>
+			<attached>
+				<Model mesh="Pilz.mesh" position="0,0,21" scale=3 pitch=90/> 
+			</attached>
+			<collisionShapes>
+				<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" />
+			</collisionShapes>
+		</SOBMushroom>
+	</Template>
+
+	<Template name=coin defaults=0 >
+		<SOBCoin speed = 15 lifetime = 0.7>
+			<attached>
+				<Model mesh="Coin.mesh" position="0,0,11" scale=3 pitch=-90 roll=90/> 
+			</attached>
+			
+		</SOBCoin>
+	</Template>
+
+
+
+	<Template name=sobfigurecameras defaults=0>
+		<SOBFigure>
+			<camerapositions>
+				<CameraPosition position="0,-150,30" absolute=true mouselook=false drag=false direction="0,1,0"/>
+			</camerapositions>
+		</SOBFigure>
+	</Template>
+
+
+
+
+
+	<Template name=sobFigureTemplate>
+		<SOBFigure camerapositiontemplate=sobfigurecameras collisionType="dynamic" position="0,0,30">
+			<attached>
+				<Model  mesh="orxo.mesh" position = "0,0,12" scale=2.5 pitch=0 roll=90 yaw=90/>
+				<ParticleSpawner source="Orxonox/fire4" startdelay=0  position="-4,0,0" visible="false"/>
+			</attached>
+
+			<collisionShapes>
+				<BoxCollisionShape position="-2,0,2" halfExtents="3,1,10" />
+			</collisionShapes>
+
+
+		</SOBFigure>
+	</Template>
+
+	<Level
+		plugins = "superorxobros"
+		gametype = "SOB"
+		>-
+
+
+		<templates>
+			<Template link=lodtemplate_default />
+		</templates>
+		<?lua include("includes/notifications.oxi") ?>
+
+		<WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true"/>
+
+
+		<Scene ambientlight="1.0, 1.0, 1.0" skybox="Orxonox/skyBoxBasic">
+			<Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+			<SpawnPoint position="1984,-5,88 " orientation="0.534038, 0.563456, 0.212168, 0.593553" />
+
+
+
+			<MovableEntity >
+				<attached>
+					<SOBCenterpoint name=jumpcenter cameraOffset="10" figureTemplate=sobFigureTemplate>
+						<attached>  
+						</attached>
+					</SOBCenterpoint>
+
+				</attached>
+			</MovableEntity>
+
+
+					<!--Gumba-->
+
+					<SOBGumba collisionType="dynamic" speed=40 position = "240,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,1" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+					<SOBGumba collisionType="dynamic" speed=30 position = "420,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+					<SOBGumba collisionType="dynamic" speed=30 position = "500,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+					<SOBGumba collisionType="dynamic" speed=30 position = "510,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+					<SOBGumba collisionType="dynamic" speed=30 position = "930,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+					<SOBGumba collisionType="dynamic" speed=20 position = "940,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+					<SOBGumba collisionType="dynamic" speed=30 position = "1180,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+					<SOBGumba collisionType="dynamic" speed=20 position = "1190,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+					<SOBGumba collisionType="dynamic" speed=30 position = "1320,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+					<SOBGumba collisionType="dynamic" speed=20 position = "1330,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+					<SOBGumba collisionType="dynamic" speed=30 position = "1750,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+					<SOBGumba collisionType="dynamic" speed=20 position = "1770,0,0">
+						<attached>
+							<Model mesh="Goomba.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,3" /> 			
+						</collisionShapes>
+					</SOBGumba>
+
+
+					<!--CollisionShape for Gumba-->
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,-20" halfExtents="5,5,5" />
+							<BoxCollisionShape position="890,0,-20" halfExtents="5,5,5" />
+							
+							
+							
+							
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+					
+
+
+
+					<!-- Boden 1 -->
+					<Model mesh="Cube2.12.mesh" position="0,0,-30" scale=10 Pitch=90/> 					<!-- B1.1 -->
+					<Model mesh="Cube2.12.mesh" position="120,0,-30" scale=10 Pitch=90/> 				<!-- B1.2-->
+					<Model mesh="Cube2.12.mesh" position="240,0,-30" scale=10 Pitch=90/> 				<!-- B1.3 -->
+					<Model mesh="Cube2.12.mesh" position="360,0,-30" scale=10 Pitch=90/> 				<!-- B1.4 -->
+					<Model mesh="Cube2.12.mesh" position="480,0,-30" scale=10 Pitch=90/> 				<!-- B1.5 -->
+					<Model mesh="Cube2.6.mesh" position="600,0,-30" scale=10 Pitch=90/> 				<!-- B1.6 -->
+					<Model mesh="Cube2.3.mesh" position="660,0,-30" scale=10 Pitch=90/> 				<!-- B1.7 -->
+
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="340,0,-20" halfExtents="345,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+					<!-- Luft 1 -->
+
+
+					<SOBQBlock collisionType="static" type="Coin" position="170,0,20" mass='-1'> 						 	<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 />
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Coin" position="230,0,60" mass='-1' > 
+						<attached>
+							<Model mesh="QCube.mesh"  scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>									<!-- L1.2 --> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" /> 			
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="210,0,20" scale=10 /> 												<!-- L1.3 -->
+
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="220,0,20" mass='-1'><!--ITEM-->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/> 													<!-- L1.4 --> 
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" /><!-- 3 -->
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="230,0,20" scale=10/> 												<!-- L1.5 -->
+
+					<SOBQBlock collisionType="static" type="Coin" position="240,0,20" mass='-1'><!-- ? Block --> 
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/> 
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/> 								<!-- L1.6 -->
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock> 
+					
+					<Model mesh="Cube1.1.mesh" position="250,0,20" scale=10/> 												<!-- L1.7 -->
+					<!-- Rohre-->
+					<Model mesh="Rohr.mesh" position="295,5,-35" scale=10 roll=90 yaw=90 pitch=-90/> 						<!-- L1.8 -->
+					<Model mesh="Rohr.mesh" position="395,5,-25" scale=10 roll=90 yaw=90 pitch=-90/>						<!-- L1.9 -->
+					<Model mesh="Rohr.mesh" position="475,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />						<!-- L1.10 -->
+					<Model mesh="Rohr.mesh" position="585,5,-15" scale=10 roll=90 yaw=90 pitch=-90 />						<!-- L1.11 -->	
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="650,0,30" mass='-1'>
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/> 													<!-- L1.12 --> 
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>			
+					
+					
+
+
+
+
+					<StaticEntity collisionType="static"  mass='-1'>
+						<collisionShapes>
+							
+							<BoxCollisionShape position="210,0,20" halfExtents="5,5,5" /> 						<!-- 1.3 -->
+							<BoxCollisionShape position="230,0,20" halfExtents="5,5,5" /> 						<!-- 1.5 -->
+							<BoxCollisionShape position="250,0,20" halfExtents="5,5,5" /> 						<!-- 1.7 -->
+							
+
+						</collisionShapes>
+					</StaticEntity>
+
+
+					<StaticEntity collisionType="static" >
+						<collisionShapes>
+							
+
+							<BoxCollisionShape position="295,0,-4" halfExtents="12,5,12" /> 					<!-- 1.8 -->
+							<BoxCollisionShape position="395,0,1" halfExtents="12,5,17" /> 						<!-- 1.9 -->
+							<BoxCollisionShape position="475,0,6" halfExtents="12,5,22" /> 						<!-- 1.10 -->
+							<BoxCollisionShape position="585,0,6" halfExtents="12,5,22" /> 						<!-- 1.11 -->
+
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+
+
+					<!-- Boden 2 -->
+					<Model mesh="Cube2.12.mesh" position="710,0,-30" scale=10 Pitch=90/>						<!-- B2.1 -->
+					<Model mesh="Cube2.3.mesh" position="830,0,-30" scale=10 Pitch=90/>							<!-- B2.2 -->
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="780,0,-20" halfExtents="75,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					<!-- Luft 2 -->
+					<Model mesh="Cube1.1.mesh" position="770,0,20" scale=10/>									<!-- L2.1 -->
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="780,0,20" mass='-1'>			<!-- L2.2 -->
+						<attached>
+							<Model mesh="QCube.mesh"  scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="790,0,20" scale=10/>									<!-- L2.3 -->
+					<Model mesh="Cube1.6.mesh" position="800,0,60" scale=10/>									<!-- L2.4 -->
+					<Model mesh="Cube1.1.mesh" position="860,0,60" scale=10/>									<!-- L2.5 -->
+					<Model mesh="Cube1.1.mesh" position="870,0,60" scale=10/>									<!-- L2.6 -->
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="770,0,20" halfExtents="5,5,5" />									<!-- 2.1 -->
+							
+							<BoxCollisionShape position="790,0,20" halfExtents="5,5,5" />									<!-- 2.3 -->
+							<BoxCollisionShape position="835,0,60" halfExtents="40,5,5" />									<!-- 2.4 to 2.6 -->
+
+
+
+
+						</collisionShapes>
+					</StaticEntity>
+					
+
+					<!-- Luft 3 -->
+					<Model mesh="Cube1.3.mesh" position="910,0,60" scale=10/> 												<!-- L3.1 -->
+
+					<SOBQBlock collisionType="static" type="Coin" position="940,0,60" mass='-1'> 				 			<!-- L3.2 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="940,0,20" mass='-1'> 						<!-- L3.3 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="1000,0,20" scale=10/>												<!-- L3.4 -->
+
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="1010,0,20" mass='-1'> 						 <!-- L3.5 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Coin" position="1060,0,20" mass='-1'> 							<!-- L3.6 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					
+					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,60" mass='-1'> 						 <!-- L3.7 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Coin" position="1090,0,20" mass='-1'> 							<!-- L3.8 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+					
+					<SOBQBlock collisionType="static" type="Coin" position="1120,0,20" mass='-1'> 							<!-- L3.9 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>					
+
+					<Model mesh="Cube1.1.mesh" position="1180,0,20" scale=10/> 												<!-- L3.10 -->
+
+					<Model mesh="Cube1.3.mesh" position="1210,0,60" scale=10/> 												<!-- L3.11 -->
+
+					<Model mesh="Cube1.1.mesh" position="1280,0,60" scale=10/> 												<!-- L3.12 -->
+
+					<SOBQBlock collisionType="static" type="Coin" position="1290,0,60" mass='-1'> 							<!-- L3.13 -->
+						<attached>
+							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+					<SOBQBlock collisionType="static" type="Coin" position="1300,0,60" mass='-1'> 							<!-- L3.14 -->
+						<attached>
+							<Model mesh="QCube.mesh" type="Mushroom" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<Model mesh="Cube1.1.mesh" position="1310,0,60" scale=10/> 												<!-- L3.15 -->
+					<Model mesh="Cube1.1.mesh" position="1290,0,20" scale=10/> 												<!-- L3.16 --> 
+					<Model mesh="Cube1.1.mesh" position="1300,0,20" scale=10/> 												<!-- L3.17 -->
+					
+
+					
+					<Model mesh="Dreieck.mesh" position="1370,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 					<!-- L3.18 --> 
+					<Model mesh="Dreieck.mesh" position="1400,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 					<!-- L3.19 -->
+					<Model mesh="Dreieck_links+1.mesh" position="1510,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/> 			<!-- L3.20 -->  
+					
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							
+							<BoxCollisionShape position="1355,0,-10" halfExtents="20,5,5" /> 								<!-- 3.18 -->
+							<BoxCollisionShape position="1360,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1365,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1370,0,20" halfExtents="5,5,5" />
+
+							<BoxCollisionShape position="1415,0,-10" halfExtents="20,5,5" /> 								<!-- 3.19--> 
+							<BoxCollisionShape position="1410,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1405,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1400,0,20" halfExtents="5,5,5" />
+
+							<BoxCollisionShape position="1500,0,-10" halfExtents="25,5,5" /> 								<!-- 3.20 -->
+							<BoxCollisionShape position="1505,0,0" halfExtents="20,5,5" />
+							<BoxCollisionShape position="1510,0,10" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1515,0,20" halfExtents="10,5,5" />
+							
+
+
+
+
+						</collisionShapes>
+					</StaticEntity>
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="920,0,60" halfExtents="15,5,5" /> 							<!-- 3.1 -->
+
+							<BoxCollisionShape position="1000,0,20" halfExtents="5,5,5" /> 							<!-- 3.4 -->
+
+
+							<BoxCollisionShape position="1180,0,20" halfExtents="5,5,5" /> 							<!-- 3.10 -->
+							<BoxCollisionShape position="1220,0,60" halfExtents="15,5,5" /> 						<!-- 3.11 -->
+							<BoxCollisionShape position="1280,0,60" halfExtents="5,5,5" /> 							<!-- 3.12 -->
+							<BoxCollisionShape position="1310,0,60" halfExtents="5,5,5" /> 							<!-- 3.15 -->
+							<BoxCollisionShape position="1300,0,20" halfExtents="10,5,5" /> 						<!-- 3.16 and 3.17-->
+							
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+					<!-- Boden3 -->
+					<Model mesh="Cube2.12.mesh" position="890,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1010,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1130,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1250,0,-30" scale=10 Pitch=90/>
+
+					<Model mesh="Cube2.12.mesh" position="1370,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="1490,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="1510,0,-30" scale=10 Pitch=90/>
+					
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="1205,0,-20" halfExtents="320,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					<!-- Luft4 -->
+					<Model mesh="Dreieck.mesh" position="1560,0,-10" scale=10 Roll=90 Pitch=-90 yaw=90/> 			<!-- L4.1 -->
+
+					<Model mesh="Rohr.mesh" position="1645,5,-35" scale=10  roll=90 yaw=90 pitch=-90 /> 			<!-- L4.2 -->
+
+					<Model mesh="Cube1.1.mesh" position="1690,0,20" scale=10/> 										<!-- L4.3 -->
+					<Model mesh="Cube1.1.mesh" position="1700,0,20" scale=10/> 										<!-- L4.4 -->
+
+					<SOBQBlock collisionType="static" type="Coin" position="1710,0,20" mass='-1'> 					<!-- L4.5 -->				
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90/>
+							<Model mesh="QCube-grey.mesh" scale=10 pitch=90 visible=false/>				
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock> 
+
+					<Model mesh="Cube1.1.mesh" position="1720,0,20" scale=10/> 										<!-- L4.6 -->
+					<Model mesh="Rohr.mesh" position="1805,5,-35" scale=10  roll=90 yaw=90 pitch=-90 /> 			<!-- L4.7 -->
+					<Model mesh="Dreieckgross.mesh" position="1850,0,-10" scale=10 pitch=90 /> 						<!-- L4.8 -->
+
+
+
+
+					<Model mesh="Schloss.mesh" position="2050,40,60" scale=12 pitch=90/>					<!-- L4.12 -->
+					<Model mesh="Fahne.mesh" position="1984,-5,88" scale=10 pitch=90/>						<!-- L4.11 -->
+					<Model mesh="Fahnenstange.mesh" position="1990,0,95" pitch=90 scale=3/>					<!-- L4.10 -->
+					<Model mesh="Fundament.mesh" position="1990,0,-10" scale=10 yaw=180/>					<!-- L4.9 -->
+
+
+
+					
+					<!-- FLAG -->
+					<SOBFlagstone points = 100  position="1990,0,10" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBFlagstone>
+					<SOBFlagstone points = 200  position="1990,0,20" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBFlagstone>
+					<SOBFlagstone points = 400  position="1990,0,30" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBFlagstone>
+					<SOBFlagstone points = 800  position="1990,0,40" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBFlagstone>
+					<SOBFlagstone points = 1600  position="1990,0,50" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBFlagstone>
+					<SOBFlagstone points = 2200  position="1990,0,60" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBFlagstone>
+					<SOBFlagstone points = 2700  position="1990,0,70" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBFlagstone>
+					<SOBFlagstone points = 3400  position="1990,0,80" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBFlagstone>
+					<SOBFlagstone points = 4000  position="1990,0,90" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBFlagstone>
+
+
+					<!-- Castlestone -->
+					<SOBCastlestone position="2060,0,-10" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBCastlestone>
+
+					<SOBCastlestone position="2050,40,-10" collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBCastlestone>
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="2050,20,-20" halfExtents="5,20,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+
+							<BoxCollisionShape position="1690,0,20" halfExtents="5,5,5" /> 					<!-- 4.3 -->
+							<BoxCollisionShape position="1700,0,20" halfExtents="5,5,5" /> 					<!-- 4.4 -->
+							<BoxCollisionShape position="1720,0,20" halfExtents="5,5,5" /> 					<!-- 4.6 -->
+
+
+						</collisionShapes>
+					</StaticEntity>
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+
+							<BoxCollisionShape position="1575,0,-10" halfExtents="20,5,5" /> 					<!-- 4.1--> 
+							<BoxCollisionShape position="1570,0,0" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1565,0,10" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1560,0,20" halfExtents="5,5,5" />
+
+							<BoxCollisionShape position="1645,0,-4" halfExtents="12,5,12" /> 					<!-- 4.2 -->
+
+
+							<BoxCollisionShape position="1805,0,-4" halfExtents="12,5,12" /> 					<!-- 4.7 -->
+
+							<BoxCollisionShape position="1860,0,-10" halfExtents="45,5,5" /> 					<!-- 4.8 -->
+							<BoxCollisionShape position="1865,0,0" halfExtents="40,5,5" />
+							<BoxCollisionShape position="1870,0,10" halfExtents="35,5,5" />
+							<BoxCollisionShape position="1875,0,20" halfExtents="30,5,5" />
+							<BoxCollisionShape position="1880,0,30" halfExtents="25,5,5" />
+							<BoxCollisionShape position="1885,0,40" halfExtents="20,5,5" />
+							<BoxCollisionShape position="1890,0,50" halfExtents="15,5,5" />
+							<BoxCollisionShape position="1895,0,60" halfExtents="10,5,5" />
+							<BoxCollisionShape position="1990,0,125" halfExtents="5,5,30" />
+							<BoxCollisionShape position="1940,0,150" halfExtents="45,5,5" />
+							
+
+
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					
+
+					//Boden4
+					<Model mesh="Cube2.12.mesh" position="1560,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1680,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1800,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="1920,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2040,0,-30" scale=10 Pitch=90/>
+
+
+					
+					<Model mesh="Cube1.3.mesh" position="1990,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="1990,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="1990,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="1990,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="1960,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="1980,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="1970,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="1980,30,-20" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1.mesh" position="2000,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2010,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2010,60,-20" scale=10 Pitch=90/>
+					
+
+					<Model mesh="Cube1.6.mesh" position="2020,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2020,70,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2080,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2080,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2110,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2080,70,-20" scale=10 Pitch=90/>
+
+					
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="1855,0,-20" halfExtents="300,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+
+					
+
+
+				</Scene>
+			</Level>
Index: code/branches/Presentation_FS17/data/levels/SOB_Level2.oxw
===================================================================
--- code/branches/Presentation_FS17/data/levels/SOB_Level2.oxw	(revision 11438)
+++ code/branches/Presentation_FS17/data/levels/SOB_Level2.oxw	(revision 11438)
@@ -0,0 +1,628 @@
+<LevelInfo
+	name = "SOB Level2"
+	description = "Jump as high as you can. Use the mouse to guide the jumper."
+	tags = "minigame"
+	screenshot = "jump.png"
+	/>
+
+	<?lua
+	include("HUDTemplates3.oxo")  
+	include("jumpHUD.oxo")
+	include("stats.oxo")
+	include("templates/lodInformation.oxt")
+	include("overlays/SOBHUD.oxo")
+	?>
+
+
+	<Template name=mushroom defaults=0>
+		<SOBMushroom collisionType="dynamic" speed=30>
+			<attached>
+				<Model mesh="Pilz.mesh" position="0,0,21" scale=3 pitch=90/> 
+			</attached>
+			<collisionShapes>
+				<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" /><!-- 1 -->
+			</collisionShapes>
+		</SOBMushroom>
+	</Template>
+
+
+
+	<Template name=sobfigurecameras defaults=0>
+		<SOBFigure>
+			<camerapositions>
+				<CameraPosition position="0,-150,30" absolute=true mouselook=false drag=false direction="0,1,0"/>
+			</camerapositions>
+		</SOBFigure>
+	</Template>
+
+
+
+
+
+	<Template name=sobFigureTemplate>
+		<SOBFigure camerapositiontemplate=sobfigurecameras collisionType="dynamic" position="0,0,30">
+			<attached>
+				<Model  mesh="Orxo.mesh" scale=2.5 pitch=0 roll=90 yaw=90/>
+				<ParticleSpawner source="Orxonox/fire4" startdelay=0  position="-4,0,0" visible="false"/>
+			</attached>
+
+			<collisionShapes>
+				<BoxCollisionShape position="-2,0,2" halfExtents="3,1,10" />
+				<!--      <SphereCollisionShape yaw="20" pitch="20" roll="20"  radius="10" position="0,0,10" />   -->
+			</collisionShapes>
+
+
+		</SOBFigure>
+	</Template>
+
+	<Level
+		plugins = "superorxobros"
+		gametype = "SOB"
+		>-
+
+
+		<templates>
+			<Template link=lodtemplate_default />
+		</templates>
+		<?lua include("includes/notifications.oxi") ?>
+
+		<WorldAmbientSound source="Ganymede.ogg" looping="true" playOnLoad="true"/>
+
+
+		<Scene ambientlight="1.0, 1.0, 1.0" skybox="Orxonox/skyBoxBasic">
+			<Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+			<SpawnPoint position="991.729, -110.11, 435.404" orientation="0.534038, 0.563456, 0.212168, 0.593553" />
+
+
+
+
+
+
+
+			<MovableEntity >
+				<attached>
+					<SOBCenterpoint name=jumpcenter cameraOffset="10" figureTemplate=sobFigureTemplate>
+						<attached>  
+						</attached>
+					</SOBCenterpoint>
+
+				</attached>
+			</MovableEntity>
+
+			<SOBMushroom collisionType="dynamic" speed=30>
+						<attached>
+							<Model mesh="Pilz.mesh" position="0,0,21" scale=3 pitch=90/> 
+							
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,20" halfExtents="5,5,5" /> 						<!-- ?????? -->
+						</collisionShapes>
+					</SOBMushroom>
+
+
+
+
+
+			<!-- <?lua
+						for i = 0, 100, 1
+						do
+						j = math.random()
+						?>
+			
+						<SOBItem position="<?lua print(i*10) ?>,0,-20" collisionType="static">
+							<attached>
+								<Model  mesh="MarioCube.mesh" scale="10" />
+							</attached>
+			
+						</SOBItem>
+			
+						<?lua
+						end
+						?>
+					-->
+
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="240,0,-20" halfExtents="240,5,5" /> 			<!--CollisionShape for testing-->
+						</collisionShapes>
+					</StaticEntity>
+
+
+					//erster Boden	
+
+					
+
+
+					
+					<Model mesh="Cube2.6.mesh" position="-60,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="0,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="120,0,-30" scale=10 Pitch=90/> 
+
+
+					<Model mesh="Cube2.12.mesh" position="-60,10,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="60,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="-40,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="-40,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="40,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="40,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="30,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="30,50,-20" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.6.mesh" position="-30,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="-30,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="-10,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="10,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="10,30,-20" scale=10 Pitch=90/>				
+
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="85,0,-20" halfExtents="150,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+					//Luft1
+
+					<Model mesh="Schloss.mesh" position="0,40,60" scale=12 pitch=90/>
+					<Model mesh="Rohr.mesh" position="125,5,-35" scale=10 pitch=90 /> 								
+					<Model mesh="Rohr.mesh" position="195,5,-25" scale=10 pitch=90 />
+
+
+					//Boden2
+
+					<Model mesh="Cube2.12.mesh" position="420,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="540,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="660,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="780,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="900,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="1020,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.6.mesh" position="1140,0,-30" scale=10 Pitch=90/> 
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="810,0,-20" halfExtents="390,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+				
+
+
+
+
+
+
+					//Luft2
+
+					<Model mesh="Rohr.mesh" position="445,5,-35" scale=10 pitch=90 /> 
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="500,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="510,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="520,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="530,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="540,0,20"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+					<Model mesh="Cube1.1mars.mesh" position="570,0,-10" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="590,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="590,0,0" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.3mars.mesh" position="610,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="630,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="630,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="650,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="650,0,0" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3mars.mesh" position="670,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.3mars.mesh" position="710,0,-10" scale=10 yaw=-90/>
+
+					<Model mesh="Cube1.1mars.mesh" position="730,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="730,0,0" scale=10 Pitch=90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="690,0,30"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube1.3mars.mesh" position="790,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="800,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="810,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="820,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="830,0,40" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="840,0,20" scale=10 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="850,0,20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3mars.mesh" position="860,0,20" scale=10 yaw=-90/>
+
+					<SOBQBlock collisionType="static" type="Mushroom" position="860,0,50"> 						 			<!-- L1.1 -->
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+					<Model mesh="Cube2.6mars.mesh" position="920,0,20" scale=10 yaw=-90 Pitch=-90/>				<!--15-->
+					<Model mesh="Cube2.3mars.mesh" position="940,0,11" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.3mars.mesh" position="940,0,80" scale=10 yaw=-90 Pitch=-90/>
+					
+
+
+
+					<Model mesh="Cube1.6mars.mesh" position="980,0,20" scale=10 />								<!--16-->
+					<Model mesh="Cube2.2mars.mesh" position="980,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2mars.mesh" position="1000,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.6mars.mesh" position="1020,0,30" scale=10 yaw=-90 Pitch=-90/>
+
+
+
+					<Model mesh="Cube2.2mars.mesh" position="1060,0,80" scale=10 Pitch=-90/>							<!--17-->
+					<Model mesh="Cube2.2mars.mesh" position="1080,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.6mars.mesh" position="1070,0,20" scale=10 Pitch=-90 yaw=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="1080,0,20" scale=10 />
+					<Model mesh="Cube1.1mars.mesh" position="1090,0,20" scale=10 />
+					<SOBQBlock collisionType="static" type="Mushroom" position="1090,0,30"> 			
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+					
+
+					<Model mesh="Cube2.2mars.mesh" position="1120,0,30" scale=10 Pitch=-90/>							<!--18-->
+					<Model mesh="Cube2.2mars.mesh" position="1120,0,50" scale=10 Pitch=-90 />
+					<Model mesh="Cube1.1mars.mesh" position="1120,0,60" scale=10 Pitch=-90/>
+					<Model mesh="Cube1.1mars.mesh" position="1130,0,60" scale=10 Pitch=-90/>
+
+
+
+
+					<Model mesh="Cube1.3mars.mesh" position="1160,0,20" scale=10 Pitch=-90/>							<!--19-->
+					<Model mesh="Cube1.1mars.mesh" position="1190,0,20" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2mars.mesh" position="1160,0,80" scale=10 Pitch=-90/>
+					<Model mesh="Cube2.2mars.mesh" position="1180,0,80" scale=10 Pitch=-90/>
+
+
+
+
+
+					//Boden3
+
+					<Model mesh="Cube2.12.mesh" position="1230,0,-30" scale=10 Pitch=90/> 					
+					<Model mesh="Cube2.12.mesh" position="1350,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.12.mesh" position="1470,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1590,0,-30" scale=10 Pitch=90/> 
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1420,0,-20" halfExtents="190,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+
+
+					//Luft3
+
+
+					<Model mesh="Cube2.6mars.mesh" position="1240,0,30" scale=10 Pitch=90/>
+					<Model mesh="Rohr.mesh" position="1435,5,-35" scale=10 pitch=90 /> 								<!-- 23 -->
+					<Model mesh="Rohr.mesh" position="1495,5,-25" scale=10 pitch=90 />								<!-- 21 -->
+					<Model mesh="Rohr.mesh" position="1555,5,-15" scale=10 pitch=90 />								<!-- 22 -->
+
+
+
+
+
+
+					//Boden4
+					<Model mesh="Cube2.2.mesh" position="1630,0,-30" scale=10 Pitch=90/> 
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1640,0,-20" halfExtents="10,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+					//Luft4
+
+					<Model mesh="Cube2.3mars.mesh" position="1630,0,-10" scale=10 yaw=-90 Pitch=-90/>
+
+
+
+
+
+
+					//Boden5
+					<Model mesh="Cube2.12.mesh" position="1670,0,-30" scale=10 Pitch=90/>
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1730,0,-20" halfExtents="60,5,5" />
+						</collisionShapes>
+					</StaticEntity> 
+
+
+					//Luft5
+
+					<Model mesh="Dreieck+1mars.mesh" position="1770,0,-10" scale=10 Roll=90 Pitch=90 yaw=90/>
+
+
+
+					//Boden6
+					<Model mesh="Cube2.6.mesh" position="1860,0,-30" scale=10 Pitch=90/> 
+					<Model mesh="Cube2.2.mesh" position="1920,0,-30" scale=10 Pitch=90/>
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="1900,0,-20" halfExtents="40,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					//Luft6
+					<Model mesh="Cube1.3mars.mesh" position="1860,0,30" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1mars.mesh" position="1890,0,30" scale=10 Pitch=90/>
+					<SOBQBlock collisionType="static" type="Mushroom" position="1900,0,30"> 			
+						<attached>
+							<Model mesh="QCube.mesh" scale=10 pitch=90 /> 
+						</attached>
+						<collisionShapes>
+							<BoxCollisionShape position="0,0,0" halfExtents="5,5,5" />
+						</collisionShapes>
+					</SOBQBlock>
+
+
+
+
+
+
+					//Boden7
+					<Model mesh="Cube2.12.mesh" position="2010,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.2.mesh" position="2130,0,-30" scale=10 Pitch=90/> 
+					
+					
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+							<BoxCollisionShape position="2190,0,-20" halfExtents="180,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					//Luft7
+
+					<Model mesh="Cube2.12mars.mesh" position="2010,0,-10" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12mars.mesh" position="2110,0,10" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Cube2.12mars.mesh" position="2130,0,-10" scale=10 yaw=-90 Pitch=-90/>
+					<Model mesh="Rohr.mesh" position="2120,5,15" scale=10 pitch=90 yaw=-90 /> 
+
+
+
+
+
+
+
+
+
+					//Luft8
+										
+					<Model mesh="Rohr.mesh" position="2505,5,-35" scale=10 pitch=90 /> 								<!-- L4.7 -->
+					<Model mesh="Dreieckgross.mesh" position="2550,0,-10" scale=10 pitch=90 /> 					<!-- L4.8 -->
+
+
+					<Model mesh="Schloss.mesh" position="2750,40,60" scale=12 pitch=90/>					<!-- L4.12 -->
+					<Model mesh="Fahne.mesh" position="2684,-5,88" scale=10 pitch=90/>						<!-- L4.11 -->
+					<Model mesh="Fahnenstange.mesh" position="2690,0,95" pitch=90 scale=3/>					<!-- L4.10 -->
+					<Model mesh="Fundament.mesh" position="2690,0,-10" scale=10 yaw=180/>					<!-- L4.9 -->
+
+					
+
+
+					
+
+
+					<StaticEntity collisionType="static">
+						<collisionShapes>
+
+							
+							<BoxCollisionShape position="1805,0,-4" halfExtents="12,5,12" /> 						<!-- 4.7 -->
+
+							<BoxCollisionShape position="2560,0,-10" halfExtents="45,5,5" /> 				<!-- 4.8 -->
+							<BoxCollisionShape position="2565,0,0" halfExtents="40,5,5" />
+							<BoxCollisionShape position="2570,0,10" halfExtents="35,5,5" />
+							<BoxCollisionShape position="2575,0,20" halfExtents="30,5,5" />
+							<BoxCollisionShape position="2580,0,30" halfExtents="25,5,5" />
+							<BoxCollisionShape position="2585,0,40" halfExtents="20,5,5" />
+							<BoxCollisionShape position="2590,0,50" halfExtents="15,5,5" />
+							<BoxCollisionShape position="2595,0,60" halfExtents="10,5,5" />
+							<BoxCollisionShape position="2690,0,40" halfExtents="5,5,55" />
+
+
+							
+
+							
+
+
+
+
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+					
+
+					//Boden8
+
+					<Model mesh="Cube2.3.mesh" position="2470,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2500,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2620,0,-30" scale=10 Pitch=90/>
+					<Model mesh="Cube2.12.mesh" position="2740,0,-30" scale=10 Pitch=90/>
+
+
+					
+					<Model mesh="Cube1.3.mesh" position="2690,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2690,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2690,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2690,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2660,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2680,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2670,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2680,30,-20" scale=10 Pitch=90/>
+
+					<Model mesh="Cube1.1.mesh" position="2700,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2710,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2710,60,-20" scale=10 Pitch=90/>
+					
+
+					<Model mesh="Cube1.6.mesh" position="2720,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2720,70,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,10,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,20,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,30,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,40,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.6.mesh" position="2780,50,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2780,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.1.mesh" position="2810,60,-20" scale=10 Pitch=90/>
+					<Model mesh="Cube1.3.mesh" position="2780,70,-20" scale=10 Pitch=90/>
+
+					
+
+					<StaticEntity collisionType="static" mass='-1'>
+						<collisionShapes>
+							<BoxCollisionShape position="2785,0,-20" halfExtents="315,5,5" />
+						</collisionShapes>
+					</StaticEntity>
+
+
+
+
+
+
+					
+
+
+
+					
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+					
+					
+					
+
+
+
+
+					
+
+
+
+
+
+
+
+					
+
+
+				</Scene>
+			</Level>
Index: code/branches/Presentation_FS17/data/levels/SuperOrxoBros.oxw
===================================================================
--- code/branches/Presentation_FS17/data/levels/SuperOrxoBros.oxw	(revision 11438)
+++ code/branches/Presentation_FS17/data/levels/SuperOrxoBros.oxw	(revision 11438)
@@ -0,0 +1,55 @@
+<LevelInfo
+ name = "Super Orxo Bros."
+ description = "Retro Mario game.\nNothing more to say."
+ tags = "minigame"
+ screenshot = "orxonoxArcade.png"
+/>
+<?lua
+  include("stats.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff2.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipInvader.oxt")
+  include("templates/enemyInvader.oxt")
+  include("overlays/InvaderHUD.oxo")
+?>
+
+<Level
+  plugins = superorxobros
+  gametype = Deathmatch
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+    <!-- ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox" -->
+  <Scene
+    ambientlight = "0.8, 0.7, 0.4"
+    skybox     = "Orxonox/skyBoxBasic"
+  >
+
+  <WorldAmbientSound
+    source="Earth.ogg"
+    looping="true"
+    playOnLoad="true"
+  />
+
+    <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
+    <Light type=directional position="1100, 11000, -7000" lookat="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=Orxo pawndesign=spaceshippirate />
+
+    <DistanceTrigger name="start" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=0 />
+
+
+   
+    
+    
+    
+  </Scene>
+</Level>
+
Index: code/branches/Presentation_FS17/data/levels/SuperOrxoBrosLevel.oxw
===================================================================
--- code/branches/Presentation_FS17/data/levels/SuperOrxoBrosLevel.oxw	(revision 11438)
+++ code/branches/Presentation_FS17/data/levels/SuperOrxoBrosLevel.oxw	(revision 11438)
@@ -0,0 +1,125 @@
+<LevelInfo
+ name = "SuperOrxoBrosLevel"
+ description = "Level 1 Super Orxo Bros, only Graphic Level"
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/HeavyCruiser.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+//neu
+//neu Models eingefuegt
+
+
+	//erster Boden	
+	<Model mesh="Cube2.12.mesh" position="0,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="240,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="480,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.6.mesh" position="720,0,0" scale=20 Pitch=90/>
+
+	//Luft1
+	<Model mesh="Cube1.1.mesh" position="320,0,-80" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="360,0,-80" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="400,0,-80" scale=20/>
+
+	//Boden2
+	<Model mesh="Cube2.12.mesh" position="880,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.2.mesh" position="1120,0,0" scale=20 Pitch=90/>
+
+	//Luft2
+	<Model mesh="Cube1.1.mesh" position="1000,0,-80" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1040,0,-80" scale=20/>
+	<Model mesh="Cube1.6.mesh" position="1060,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1180,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1200,0,-160" scale=20/>
+
+	//Luft3
+	<Model mesh="Cube1.3.mesh" position="1280,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1340,0,-80" scale=20/>
+	//10er Block 1340???
+	<Model mesh="Cube1.1.mesh" position="1440,0,-80" scale=20/>
+	//Stern 1460
+	// ? bei 1560
+	// ? bei 1600
+	// Whats that?? 1600 u -160
+	// ? bei 1660
+	<Model mesh="Cube1.1.mesh" position="1780,0,-80" scale=20/>
+	<Model mesh="Cube1.3.mesh" position="1840,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="1980,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="2040,0,-160" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="2000,0,-80" scale=20/>
+	<Model mesh="Cube1.1.mesh" position="2020,0,-80" scale=20/>
+	//Dreieckklein 2100
+	//Dreieckklein 2220
+	//Dreickklein+1 2380
+	
+
+	
+
+	//Boden3
+	<Model mesh="Cube2.12.mesh" position="1240,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="1480,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="1720,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="1960,0,0" scale=20 Pitch=90/>
+
+	<Model mesh="Cube2.12.mesh" position="2200,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="2440,0,0" scale=20 Pitch=90/>
+
+	<Model mesh="Cube2.2.mesh" position="2680,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.2.mesh" position="2720,0,0" scale=20 Pitch=90/>
+
+	//Luft4
+	//Dreickklein 2800
+	
+	//Boden4
+	<Model mesh="Cube2.12.mesh" position="2800,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="3040,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="3280,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="3520,0,0" scale=20 Pitch=90/>
+	<Model mesh="Cube2.12.mesh" position="3760,0,0" scale=20 Pitch=90/>
+	
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="0,1000,0" lookat="200,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+
+    
+    
+  </Scene>
+</Level>
+
Index: code/branches/Presentation_FS17/data/levels/templates/superorxobrow.oxw
===================================================================
--- code/branches/Presentation_FS17/data/levels/templates/superorxobrow.oxw	(revision 11438)
+++ code/branches/Presentation_FS17/data/levels/templates/superorxobrow.oxw	(revision 11438)
@@ -0,0 +1,87 @@
+<LevelInfo
+ name = "Superorxobros"
+ description = "Pong in space!"
+ tags = "minigame"
+ screenshot = "pong.png"
+/>
+
+<?lua
+  include("HUDTemplates3.oxo")
+  include("stats.oxo")
+  include("pongHUD.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+
+
+
+
+
+
+<Level
+ plugins = "superorxobros"
+ gametype = "Deathmatch"
+>
+
+
+
+  <Scene
+   ambientlight = "0.5, 0.5, 0.5"
+   skybox       = "Orxonox/skyBoxBasic"
+  >
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+    <SpawnPoint position="991.729, -110.11, 435.404" orientation="0.534038, 0.563456, 0.212168, 0.593553" />
+
+    <MovableEntity rotationrate=5 rotationaxis="0,0,1">
+      <attached>
+        <SOBCenterpoint name=pongcenter dimension="200,120" balltemplate=pongball battemplate=pongbat ballspeed=200 ballaccfactor=1.0 batspeed=130 batlength=0.25>
+          <attached>
+            <Model position="0,0,60" mesh="cube.mesh" scale3D="105,1,1" />
+            <Model position="0,0,-60" mesh="cube.mesh" scale3D="105,1,1" />
+
+            <ParticleSpawner name=scoreeffect_right position="120,0, 45" source="Orxonox/sparks2" lifetime=0.1 autostart=0 />
+            <ParticleSpawner name=scoreeffect_right position="120,0, 30" source="Orxonox/BigExplosion1part2" lifetime=3.0 autostart=0 />
+            <ParticleSpawner name=scoreeffect_right position="120,0, 15" source="Orxonox/sparks2" lifetime=0.1 autostart=0 />
+            <ParticleSpawner name=scoreeffect_right position="120,0,  0" source="Orxonox/BigExplosion1part2" lifetime=0.1 autostart=0 />
+            <ParticleSpawner name=scoreeffect_right position="120,0,-15" source="Orxonox/sparks2" lifetime=0.1 autostart=0 />
+            <ParticleSpawner name=scoreeffect_right position="120,0,-30" source="Orxonox/BigExplosion1part2" lifetime=3.0 autostart=0 />
+            <ParticleSpawner name=scoreeffect_right position="120,0,-45" source="Orxonox/sparks2" lifetime=0.1 autostart=0 />
+
+            <ParticleSpawner name=scoreeffect_left position="-120,0, 45" source="Orxonox/sparks2" lifetime=0.1 autostart=0 />
+            <ParticleSpawner name=scoreeffect_left position="-120,0, 30" source="Orxonox/BigExplosion1part2" lifetime=3.0 autostart=0 />
+            <ParticleSpawner name=scoreeffect_left position="-120,0, 15" source="Orxonox/sparks2" lifetime=0.1 autostart=0 />
+            <ParticleSpawner name=scoreeffect_left position="-120,0,  0" source="Orxonox/BigExplosion1part2" lifetime=0.1 autostart=0 />
+            <ParticleSpawner name=scoreeffect_left position="-120,0,-15" source="Orxonox/sparks2" lifetime=0.1 autostart=0 />
+            <ParticleSpawner name=scoreeffect_left position="-120,0,-30" source="Orxonox/BigExplosion1part2" lifetime=3.0 autostart=0 />
+            <ParticleSpawner name=scoreeffect_left position="-120,0,-45" source="Orxonox/sparks2" lifetime=0.1 autostart=0 />
+
+<!-- TODO: Create a Pong Score Sound and include it here.
+This WorldSound works, but doesn't make sense, since it is played together with ambient/moodDependedDirectory/Ganymede.ogg -->
+            <!--WorldSound name="scoreSound" position="0,0,0" source="sounds/PongScore_cut.ogg" >
+              <events>
+                <play>
+                  <EventListener event=pongcenter />
+                </play>
+              </events>
+            </WorldSound-->
+
+            <?lua
+              for i = 1, 15, 1 do
+            ?>
+              <ParticleSpawner name=scoreeffect_center position="<?lua print(math.random() * 200 - 100) ?>,0,<?lua print(math.random() * 120 - 60) ?>" source="Orxonox/sparks2" lifetime=0.02 autostart=0 startdelay=<?lua print(math.random() * 0.7) ?> />
+            <?lua end ?>
+
+          </attached>
+        </SOBCenterpoint>
+      </attached>
+    </MovableEntity>
+
+
+   
+
+
+  
+
+  </Scene>
+</Level>
Index: code/branches/Presentation_FS17/data/overlays/SOBHUD.oxo
===================================================================
--- code/branches/Presentation_FS17/data/overlays/SOBHUD.oxo	(revision 11438)
+++ code/branches/Presentation_FS17/data/overlays/SOBHUD.oxo	(revision 11438)
@@ -0,0 +1,123 @@
+<Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+  </OverlayGroup>
+</Template>
+
+<Template name="SOBHUD">
+  <OverlayGroup name="SOBHUD" scale = "1, 1">
+  
+    <OverlayText
+     position  = "0.02, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "O R X O\n"
+    />
+    <SOBHUDInfo
+     position  = "0.02, 0.06"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.045
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     type      = "Points"
+     
+    />
+
+
+
+    <SOBHUDInfo
+     position  = "0.22, 0.06"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.045
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     type      = "Coins"
+     
+    />
+
+
+
+    <OverlayText
+     position  = "0.75, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "center"
+     caption   = "WORLD\n1-1"
+    />
+
+
+
+
+
+
+    <OverlayText
+     position  = "0.98, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "right"
+     caption   = "TIME\n"
+    />
+    <SOBHUDInfo
+     position  = "0.98, 0.06"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "right"
+     type      = "Time"
+  
+    />
+
+    
+
+    <SOBHUDInfo
+     position = "0.55,0.5"
+     pickpoint = "0.5, 0.5"
+     textposition  = "0.5, 0.5"
+     textpickpoint = "0.5, 0.5"
+     font      = "ShareTechMono"
+     textsize  = 0.07
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "center"
+     type      = "Info"
+     
+    />
+   
+
+    
+  </OverlayGroup>
+</Template>
+
+
+<Template name="spaceshiphud">
+  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
+    <HUDHealthBar
+     name              = "HealthBar1"
+     background        = "Orxonox/HealthBarBackground"
+     size              = "0.35, 0.0875"
+     position          = "0.0 , 0.9 "
+     pickpoint         = "0, 1"
+     bartexture        = "healthbar_bar.png"
+     textfont          = "VeraMono"
+     textusebarcolour  = true
+     textscale          = 0.4
+     textoffset        = "0.325, -0.825"
+     textpickpoint     = "0, 0"
+     textalign         = "right"
+     correctaspect     = true
+     iconmaterial      = "Orxonox/BarIconHealth"
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDHealthBar>
+ </OverlayGroup>
+</Template>
